Ruby: unz64_s Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
unz64_s Struct Reference

## Data Fields
zlib_filefunc64_32_def | z_filefunc
int | is64bitOpenFunction
voidpf | filestream
unz_global_info64 | gi
ZPOS64_T | byte_before_the_zipfile
ZPOS64_T | num_file
ZPOS64_T | pos_in_central_dir
ZPOS64_T | current_file_ok
ZPOS64_T | central_pos
ZPOS64_T | size_central_dir
ZPOS64_T | offset_central_dir
unz_file_info64 | cur_file_info
unz_file_info64_internal | cur_file_info_internal
file_in_zip64_read_info_s * | pfile_in_zip_read
int | encrypted
int | isZip64

## Detailed Description

Definition at line 165 of file unzip.c.

## Field Documentation

## ◆ byte_before_the_zipfile

ZPOS64_T unz64_s::byte_before_the_zipfile

Definition at line 171 of file unzip.c.

Referenced by unz64local_CheckCurrentFileCoherencyHeader(), unz64local_GetCurrentFileInfoInternal(), unzOpenCurrentFile3(), and unzOpenInternal().

## ◆ central_pos

ZPOS64_T unz64_s::central_pos

Definition at line 175 of file unzip.c.

Referenced by unzGetGlobalComment(), and unzOpenInternal().

## ◆ cur_file_info

unz_file_info64 unz64_s::cur_file_info

Definition at line 181 of file unzip.c.

Referenced by unz64local_CheckCurrentFileCoherencyHeader(), unzGoToFilePos64(), unzGoToFirstFile(), unzGoToNextFile(), unzLocateFile(), unzOpenCurrentFile3(), and unzSetOffset64().

## ◆ cur_file_info_internal

unz_file_info64_internal unz64_s::cur_file_info_internal

Definition at line 182 of file unzip.c.

Referenced by unz64local_CheckCurrentFileCoherencyHeader(), unzGoToFilePos64(), unzGoToFirstFile(), unzGoToNextFile(), unzLocateFile(), unzOpenCurrentFile3(), and unzSetOffset64().

## ◆ current_file_ok

ZPOS64_T unz64_s::current_file_ok

Definition at line 174 of file unzip.c.

Referenced by unzGetFilePos64(), unzGetOffset64(), unzGoToFilePos64(), unzGoToFirstFile(), unzGoToNextFile(), unzLocateFile(), unzOpenCurrentFile3(), and unzSetOffset64().

## ◆ encrypted

int unz64_s::encrypted

Definition at line 185 of file unzip.c.

Referenced by unzOpenCurrentFile3(), unzOpenInternal(), and unzReadCurrentFile().

## ◆ filestream

voidpf unz64_s::filestream

Definition at line 169 of file unzip.c.

Referenced by unz64local_CheckCurrentFileCoherencyHeader(), unz64local_GetCurrentFileInfoInternal(), unzClose(), unzGetGlobalComment(), unzOpenCurrentFile3(), and unzOpenInternal().

## ◆ gi

unz_global_info64 unz64_s::gi

Definition at line 170 of file unzip.c.

Referenced by unzGetGlobalComment(), unzGetGlobalInfo(), unzGetGlobalInfo64(), unzGetOffset64(), unzGoToNextFile(), unzOpenInternal(), and unzSetOffset64().

## ◆ is64bitOpenFunction

int unz64_s::is64bitOpenFunction

Definition at line 168 of file unzip.c.

Referenced by unzOpenInternal().

## ◆ isZip64

int unz64_s::isZip64

Definition at line 187 of file unzip.c.

Referenced by unzOpenInternal().

## ◆ num_file

ZPOS64_T unz64_s::num_file

Definition at line 172 of file unzip.c.

Referenced by unzGetFilePos64(), unzGetOffset64(), unzGoToFilePos64(), unzGoToFirstFile(), unzGoToNextFile(), unzLocateFile(), and unzSetOffset64().

## ◆ offset_central_dir

ZPOS64_T unz64_s::offset_central_dir

Definition at line 178 of file unzip.c.

Referenced by unzGoToFirstFile(), and unzOpenInternal().

## ◆ pfile_in_zip_read

file_in_zip64_read_info_s* unz64_s::pfile_in_zip_read

Definition at line 183 of file unzip.c.

Referenced by unzClose(), unzCloseCurrentFile(), unzeof(), unzGetCurrentFileZStreamPos64(), unzGetLocalExtrafield(), unzOpenCurrentFile3(), unzOpenInternal(), unzReadCurrentFile(), unztell(), and unztell64().

## ◆ pos_in_central_dir

ZPOS64_T unz64_s::pos_in_central_dir

Definition at line 173 of file unzip.c.

Referenced by unz64local_GetCurrentFileInfoInternal(), unzGetFilePos64(), unzGetOffset64(), unzGoToFilePos64(), unzGoToFirstFile(), unzGoToNextFile(), unzLocateFile(), and unzSetOffset64().

## ◆ size_central_dir

ZPOS64_T unz64_s::size_central_dir

Definition at line 177 of file unzip.c.

Referenced by unzOpenInternal().

## ◆ z_filefunc

zlib_filefunc64_32_def unz64_s::z_filefunc

Definition at line 167 of file unzip.c.

Referenced by unz64local_CheckCurrentFileCoherencyHeader(), unz64local_GetCurrentFileInfoInternal(), unzClose(), unzGetGlobalComment(), unzOpenCurrentFile3(), and unzOpenInternal().

The documentation for this struct was generated from the following file:

- ext/zlib/zlib-1.2.13/contrib/minizip/unzip.c